> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/key-link-beta/disables-a-validation-key",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Disables a validation key

> Allows disabling validation key even if it has not expired yet. It is not allowed to enable the validation key back. Another key has to be used for future validations.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml patch /key_link/validation_keys/{keyId}
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /key_link/validation_keys/{keyId}:
    patch:
      tags:
        - Key Link (Beta)
      summary: Disables a validation key
      description: >-
        Allows disabling validation key even if it has not expired yet. It is
        not allowed to enable the validation key back. Another key has to be
        used for future validations.
      operationId: disableValidationKey
      parameters:
        - name: keyId
          required: true
          in: path
          description: The unique identifier for the validation key provided by Fireblocks
          schema:
            type: string
            example: 46a92767-5f93-4a46-9eed-f012196bb4fc
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ModifyValidationKeyDto'
      responses:
        '200':
          description: Modified validation key data
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationKeyDto'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<ValidationKeyDto>> =
            fireblocks.keyLinkBeta.disableValidationKey(keyLinkBetaApiDisableValidationKeyRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<ValidationKeyDto>> response =
            fireblocks.keyLinkBeta().disableValidationKey(modifyValidationKeyDto,
            keyId);
        - lang: Python
          source: >-
            response =
            fireblocks.key_link_beta.disable_validation_key(modify_validation_key_dto,
            key_id);
components:
  schemas:
    ModifyValidationKeyDto:
      type: object
      properties:
        enabled:
          type: boolean
          example: false
          description: Disable validation key
      required:
        - enabled
    ValidationKeyDto:
      type: object
      properties:
        keyId:
          type: string
          minLength: 36
          maxLength: 36
          example: 46a92767-5f93-4a46-9eed-f012196bb4fc
          description: External validation key id set by Fireblocks.
        publicKeyPem:
          type: string
          example: '-----BEGIN PUBLIC KEY ...  END PUBLIC KEY-----'
          description: PEM encoded public key used for the validation.
        daysTillExpired:
          type: number
          minimum: 1
          example: 365
        enabled:
          type: boolean
          example: false
          description: True if the validation key is enabled.
        createdAt:
          type: number
          example: 12345633
          description: Creation date (timestamp) in milliseconds.
      required:
        - keyId
        - publicKeyPem
        - daysTillExpired
        - enabled
        - createdAt
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````